HttpMessage::addHeaders
HttpMessage::detach
The HttpMessage class
PHP Manual

# HttpMessage::__construct

(PECL pecl_http:0.10.0-1.5.5)

HttpMessage::__construct — HttpMessage constructor

### Description

public void HttpMessage::__construct ([ string `$message` ] )

Instantiate a new HttpMessage object.

The constructed object will actually represent the last message of the passed string. If there were prior messages, those can be accessed by HttpMessage::getParentMessage().

### Parameters

`message`

  a single or several consecutive HTTP messages

### Errors/Exceptions

Throws HttpMalformedHeaderException.

HttpMessage::addHeaders
HttpMessage::detach
The HttpMessage class
PHP Manual